Bug 138391 - include fedora tracker search plugin in fedora mozilla package
include fedora tracker search plugin in fedora mozilla package
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
http://www.mattdm.org/misc/fedoratrac...
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-08 15:57 EST by Matthew Miller
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-15 08:26:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch for fedoratracker.src that causes it to search fc4 repos (439 bytes, patch)
2005-05-21 15:21 EDT, Brad Smith
no flags Details | Diff

  None (edit)
Description Matthew Miller 2004-11-08 15:57:14 EST
I've written a tiny search plugin for Firefox which puts a Fedora
Tracker (http://fedoratracker.org/) search as an option on the
toolbar. (If you're not familiar with Fedora Tracker: it indexes
well-known 3rd-party packages for Fedora, plus Fedora Core and Extras.)

Currently, this has to be installed systemwide -- there's no per-user
way to add search plugins. This means it'd be nice to have it in the
RPM to start. Plus, search plugins can't really take options, so each
release (and each arch) could be made to default to searching the
current Fedora Core release area (and the area for the correct
architecture).

Download from:

http://www.mattdm.org/misc/fedoratracker/

and put both files into

/usr/lib/firefox-###/searchplugins/
Comment 1 Warren Togami 2005-05-16 05:35:24 EDT
Can you confirm that this works with FC4 Firefox?  If so I'll ask caillon if he
can add it to the next build.  EasyFix this is.
Comment 2 Colin Charles 2005-05-16 08:54:33 EDT
Now, fedora tracker links to 3rd party sites that are not entirely 100% good in
a legal standing... It would be great for users, but does it provide any legal
implicaiton if we ship it by default?
Comment 3 Matthew Miller 2005-05-16 09:08:29 EDT
Well, we ship the google plugin
Comment 4 Brad Smith 2005-05-21 15:20:07 EDT
I don't have an FC4 test machine handy, but I have confirmed that it works with
firefox 1.0.4. The search plugins are just simple XML-ish files, so there's very
little to break. 

One thing to note is that the plugin has to specify a specific FC version to
search. I'll attach a patch to fedoratracker.src that causes it to search fc4
repositories (for now this will cause a brief "no such table" error to flash
when searching tracker) but it's really just a matter of changing the 

input name="repoVersion"

tag to have a value of "4". 
Comment 5 Brad Smith 2005-05-21 15:21:05 EDT
Created attachment 114678 [details]
patch for fedoratracker.src that causes it to search fc4 repos
Comment 6 Matěj Cepl 2007-05-15 08:26:35 EDT
Sorry, but per-user search plugins are long time supported. Moreover, when
installing this search plugin manually into ~/.mozilla/firefox/*/searchplugins,
I found that fedoratracker.org has broken search anyway.

Note You need to log in before you can comment on or make changes to this bug.